GeminiGemini
SandboxGet API key
  • Crypto Trading
  • Prediction Markets
Changelog
Gemini Crypto Exchange LogoGemini Crypto Exchange Logo

© 2026 Gemini Space Station, Inc.

REST APIs
    Orders
    Market Data
    Derivatives
      Get Open PositionsGet Account MarginGet Funding AmountGet Funding Amount Report FileList Funding PaymentsGet Funding Payment Report FileGet Funding Payment Report JSONGet Risk Stats
    Margin Trading
    Staking
    Clearing
    Instant Orders
    Fund Management
WebSocket
    AuthenticationMessage Format
    Streams
      Book TickerL2 Partial DepthL2 Differential DepthTrade StreamOrder EventsBalance Updates
    Playground
      Overviewconninfopingtimesubscribeunsubscribelist_subscriptionsdepthorder.placeorder.cancelorder.cancel_allorder.cancel_session
Agentic
FIX

Get Funding Amount

TradingDerivativesGet Funding Amount

Get Funding Amount

GEThttps://api.gemini.com/v1/fundingamount/{symbol}

Retrieves the current and estimated funding amounts for a perpetuals trading pair.

GETv1/fundingamount/BTCGUSDPERP
curl --request GET \
  --url https://api.gemini.com/v1/fundingamount/BTCGUSDPERP

Path Parameters

symbolstring·required
Trading pair symbol BTCGUSDPERP, etc. See symbols and minimums.

Responses

The response will be an object

symbolstring
The requested symbol. See [**symbols and minimums**](/market-data/symbols-and-minimums#all-supported-symbols)
fundingDateTimestring
UTC date time in format `yyyy-MM-ddThh:mm:ss.SSSZ` format
fundingTimestampMilliSecsnumber (long)
Current funding amount Epoc time.
nextFundingTimestampnumber (long)
Next funding amount Epoc time.
amountnumber (decimal)
The dollar amount for a Long 1 position held in the symbol for funding period (1 hour)
estimatedFundingAmountnumber (decimal)
The estimated dollar amount for a Long 1 position held in the symbol for next funding period (1 hour)
Example Responses
{
  "symbol": "BTCGUSDPERP",
  "fundingDateTime": "2025-04-22T18:00:00.000Z",
  "fundingTimestampMilliSecs": 1745344800000,
  "nextFundingTimestamp": 1745348400000,
  "fundingAmount": -1.50991,
  "estimatedFundingAmount": -2.10595
}
PreviousGet Account MarginNextGet Funding Amount Report File
Last modified on May 5, 2026